Subject: [COSE] More participation needed in discussing COSE open issues

From: Mike Jones <[email-masked]>
Date: Mon, 15 Feb 2016 19:27:52 +0000

Dear COSE working group,

As you've seen, there are a few open issues that Jim and I disagree upon.  The two of us could keep going back and forth, but it would probably be more useful if more of you weighed in.  I hope that that will happen soon, rather than the issues simply being closed without a clear working group position either way.  Those that I know more input would be useful on (in numeric order) are:

*       Move "creation time" value to the payload #13<https://github.com/cose-wg/cose-issues/issues/13>

*              Remove example features not implemented in the specification #15<https://github.com/cose-wg/cose-issues/issues/15>

*       Restore "use" COSE key parameter description #23<https://github.com/cose-wg/cose-issues/issues/23>

*              Acknowledgements Missing #25<https://github.com/cose-wg/cose-issues/issues/25>

*       Require publicly visible stable specifications for IANA registrations #39<https://github.com/cose-wg/cose-issues/issues/39>

I request that the chairs leave those open for working group input, which will hopefully be forthcoming soon.

Beyond those that are marked "completed", there's a bunch more at https://github.com/cose-wg/cose-issues/issues that I'd encourage people to comment on, including:

*       make "alg" field optional #51<https://github.com/cose-wg/cose-issues/issues/51>

I know that there a bunch of different use cases represented in the working group.  It would be really good if people reviewed the resolutions to issues before they're closed to make sure that the resolutions work well for your use cases.

                                                          Best wishes,

                                                          -- Mike

-----Original Message-----
From: COSE [mailto:[email-masked]] On Behalf Of Justin Richer
Sent: Monday, February 8, 2016 5:19 AM
To: [email-masked]
Subject: Re: [COSE] FW: New Version Notification for draft-ietf-cose-msg-10.txt

Hello everybody,

Please review the list of completed issues in the tracker against the new version of the document:

https://github.com/cose-wg/cose-issues/issues?q=is%3Aissue+is%3Aopen+label%3AComplete

We will close all issues marked as "Complete" in one week if there is no contention on the issue.

  -- Justin, your COSE chair

On 2/7/2016 11:29 PM, Jim Schaad wrote:

> This version should address all of the open issues in the tracker except for the optional algorithm pair of items (#51 and #52).

> There are two issues that are still  unmarked as resolved that are

> probably not of great importance

> #54 is only important to the OSCoAP people if they are not planning to

> use the CBOR content type option

> #53 went out for comment at the start of January and gathered crickets (except for a comment of that would be nice from Stephen Ferrell).

> Ilari - Once upon a time you made a comment about the context structure and the header fields that can optionally be used for population of it.  I have since done a couple of passes trying to do a re-write on it to make things clearer.  Can you please check if your issue (current CREF2) has been resolve?

> Jim

>> -----Original Message-----

>> From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]

>> Sent: Sunday, February 07, 2016 8:22 PM

>> To: Jim Schaad <[email-masked]<mailto:[email-masked]>>

>> Subject: New Version Notification for draft-ietf-cose-msg-10.txt

>> A new version of I-D, draft-ietf-cose-msg-10.txt has been

>> successfully submitted by Jim Schaad and posted to the IETF repository.

>> Name:                          draft-ietf-cose-msg

>> Revision:       10

>> Title:                             CBOR Encoded Message Syntax

>> Document date:         2016-02-07

>> Group:                         cose

>> Pages:                          105

>> URL:            https://www.ietf.org/internet-drafts/draft-ietf-cose-msg-10.txt

>> Status:         https://datatracker.ietf.org/doc/draft-ietf-cose-msg/

>> Htmlized:       https://tools.ietf.org/html/draft-ietf-cose-msg-10

>> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-cose-msg-10

>> Abstract:

>>     Concise Binary Object Representation (CBOR) is data format designed

>>     for small code size and small message size.  There is a need for the

>>     ability to have the basic security services defined for this data

>>     format.  This document specifies processing for signatures, message

>>     authentication codes, and encryption using CBOR.  This document also

>>     specifies a representation for cryptographic keys using CBOR.

>> Please note that it may take a couple of minutes from the time of

>> submission until the htmlized version and diff are available at tools.ietf.org.

>> The IETF Secretariat

> _______________________________________________

> COSE mailing list

> [email-masked]<mailto:[email-masked]>

> https://www.ietf.org/mailman/listinfo/cose

_______________________________________________

COSE mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/cose